### Hierarchy

- IReadModelAdapter

## Index

### Methods

- getItem
- setItem

## Methods

### getItem

- getItem(id: string): Promise<IReadModelState>

- - Defined in Store/ReadModel/ReadModelTypes.ts:10

  #### Parameters

  - ##### id: string

  #### Returns Promise<IReadModelState>

### setItem

- setItem(id: string, value: any): Promise<IReadModelState>

- - Defined in Store/ReadModel/ReadModelTypes.ts:11

  #### Parameters

  - ##### id: string

  - ##### value: any

  #### Returns Promise<IReadModelState>

Generated using TypeDoc